urlshorteneR: R Wrapper for the 'Bit.ly' and 'Is.gd'/'v.gd' URL Shortening Services

Allows using two URL shortening services, which also provide expanding and analytic functions. Specifically developed for 'Bit.ly' (which requires OAuth2) and 'is.gd' (no API key).

Version: 1.1.1
Depends: R (≥ 3.6.0)
Imports: httr (≥ 1.4.0), jsonlite (≥ 1.6), stringr (≥ 1.4.0), lubridate (≥ 1.7.4), assertthat (≥ 0.2.1)
Suggests: roxygen2 (≥ 6.1.1), knitr (≥ 1.23), testthat (≥ 2.1.1), rmarkdown (≥ 1.13), httpuv (≥ 1.5.1), stringi (≥ 1.4.3), covr (≥ 3.2.1), lintr (≥ 1.0.3)
Published: 2019-06-15
Author: John Malc [aut, cre] (@dmpe)
Maintainer: John Malc <cincenko at outlook.com>
BugReports: https://github.com/dmpe/urlshorteneR/issues
License: Apache License 2.0
URL: https://github.com/dmpe/urlshorteneR
NeedsCompilation: no
Materials: README NEWS
In views: WebTechnologies
CRAN checks: urlshorteneR results

Downloads:

Reference manual: urlshorteneR.pdf
Vignettes: Tutorial for urlshorteneR
Package source: urlshorteneR_1.1.1.tar.gz
Windows binaries: r-devel: urlshorteneR_0.9.2.zip, r-release: urlshorteneR_0.9.2.zip, r-oldrel: urlshorteneR_0.9.2.zip
OS X binaries: r-release: urlshorteneR_0.9.2.tgz, r-oldrel: urlshorteneR_0.9.2.tgz
Old sources: urlshorteneR archive

Linking:

Please use the canonical form https://CRAN.R-project.org/package=urlshorteneR to link to this page.